﻿body {
    background-color: #f8f9fb;
    color: #333;
    font-family: "Noto Sans TC", sans-serif;
}

.cat-card {
    background-color: #fff;
    border-radius: 20px;
    box-shadow: 0 2px 12px rgba(0, 0, 0, 0.08);
    overflow: hidden;
    max-width: 1000px;
    margin: 40px auto;
}

.info-section {
    padding: 24px;
    color: #636363;
}

    .info-section h4::after {
        background-color: #dddddd;
        background-image: linear-gradient(90deg, #efa8b0, #a89cc8, #8cc9f0);
        display: block;
        content: '';
        width: 3.25em;
        height: 2px;
        margin: 0.7em 0 1em 0;
        border-radius: 2px;
    }

.btn {
    transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out;
    border-radius: 8px;
    border: 0;
    cursor: pointer;
    display: inline-block;
    font-weight: 300;
    height: 2.75em;
    line-height: 2.75em;
    min-width: 5.25em;
    padding: 0 1.5em;
    text-align: center;
    text-decoration: none;
    white-space: nowrap;
}

.btnfa, .btnmo, .btnmessage {
    background-color: transparent;
    box-shadow: inset 0 0 0 1px #dddddd;
}

.btnfa {
    margin: 0 0.5em 0 0;
    background-color: #8cc9f0;
    font-weight: bold;
    font-size: 1.2rem;
    color: #FFF;
}

    .btnfa:hover {
        background-color: #76b5e8;
        color: #212529;
    }

.btnmo {
    background-color: #efa8b0;
    font-weight: bold;
    font-size: 1.2rem;
    color: #FFF;
}

    .btnmo:hover {
        background-color: #ed919b;
        color: #212529;
    }

.btnmessage {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #b8b8b8;
}

    .btnmessage:hover {
        background-color: #a3a3a3;
        color: #212529;
    }

.btnmessage {
    color: #FFF;
}

.info-table {
    line-height: 0.8em;
    font-size: 1.2rem;
}

    .info-table th {
        width: 150px;
        color: #666;
        font-weight: 500;
    }

    .info-table td {
        color: #222;
    }

.features-list, .check-list {
    margin-top: 16px;
    line-height: 1.8;
    padding: 0;
    font-size: 1.2rem;
}

    .features-list li {
        list-style: none;
    }

        .features-list li i {
            color: #c79cc8;
        }

    .check-list li {
        list-style: none;
    }

        .check-list li i {
            color: #9bb2e1;
        }

.contact-link a {
    color: #007bff;
    text-decoration: none;
    word-break: break-all;
}

    .contact-link a:hover {
        text-decoration: underline;
    }

.spotlight {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 2em 0;
}

    .spotlight .image {
        display: inline-block;
        padding: 0.65em;
        border-radius: 100%;
        border: solid 1px #dddddd;
    }

.image img {
    display: block;
    border-radius: 100%;
    width: 23em;
    height: 23em;
    object-fit: cover;
}


.footer-info {
    padding: 1em;
}

.text-muted {
    text-align: right;
    margin-right: 1em;
}

.text-center img {
    display: block;
    border-radius: 100%;
    width: 14em;
    height: 14em;
    object-fit: cover;
}

    .text-center img:hover {
        opacity: 0.8;
        cursor: pointer;
    }

.text-center .rounded-circle {
    width: 15em;
    height: 15em;
}

.text-center h5 {
    font-weight: bold;
}

.text-center p {
    max-width: 20em;
    text-align: left;
    margin-top: 0.5em;
}

.text-center span {
    color: #efa8b0;
}

.card-block {
    background: #fff;
    color: #636363;
    position: relative;
    box-sizing: border-box;
    transition: box-shadow .1s ease-in-out;
    margin-bottom: 0.5em;
    border-radius: 20px;
}

    .card-block img {
        display: block;
        width: 100%;
        object-fit: cover;
        border-radius: 10px 0 0 0;
    }

        .card-block img:hover {
            opacity: 0.8;
            cursor: pointer;
        }

.div-grid {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    align-items: center;
}

.card-title {
    font-size: 2em;
    line-height: 1.4;
    padding-left: 0.5em;
    color: var(--bs-heading-color);
}

.lab-success {
    text-align: right;
    background-color: #32d296;
    color: #fff;
}

.margin-auto-left {
    margin-left: auto;
    margin-right: 0.5em;
    display: inline-block;
    padding: 0 5px;
    background: #75b798;
    line-height: 1.5;
    font-size: 1em;
    color: #fff;
    vertical-align: middle;
    white-space: nowrap;
    border-radius: 2px;
    text-transform: uppercase;
}

.card-block .mx-auto {
    font-size: 1.2em;
    padding: 0.5em;
}

@media (max-width: 932px) {
    .cat-card {
        margin: 20px;
    }

    .image {
        padding: 0.35em;
        margin-top: 0.5em;
    }

        .image img {
            width: 12em;
            height: 12em;
        }
}

@media (max-width: 768px) {
    .cat-card {
        margin: 20px;
    }

    .image {
        padding: 0.35em;
        margin-top: 0.5em;
    }

        .image img {
            width: 12em;
            height: 12em;
        }
}
